<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
NeedsRegeneration Method (IEdmFile7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile7 Interface : NeedsRegeneration Method (IEdmFile7)

Visual Basic
C#
C++/CLI

lVersion
  File version; 0 to check the version in the local cache

oFolderPathOrID
  Path or ID of the file's parent folder; valid only if lVersion is not 0

Gets whether the file with the specified version and location needs to be rebuilt in its associated CAD program.

# Syntax

Visual Basic |
--- | ---

    Function NeedsRegeneration( _
       ByVal lVersion As System.Integer, _
       Optional ByVal oFolderPathOrID As System.Object _
    ) As System.Boolean

C# |
--- | ---

    System.bool NeedsRegeneration(
       System.int lVersion,
       System.object oFolderPathOrID
    )

C++/CLI |
--- | ---

    System.bool NeedsRegeneration(
    &   System.int lVersion,
    &   System.Object^ oFolderPathOrID
    )

#### Parameters

lVersion
  File version; 0 to check the version in the local cache
oFolderPathOrID
  Path or ID of the file's parent folder; valid only if lVersion is not 0

#### Return Value

True if the file needs to be rebuilt in its associated CAD program, false if not

# Remarks

If you have a drawing that references a part, and you make a model change on the part and don't rebuild the drawing in the CAD program, then the drawing shows the earlier version of the part. Use this method to check whether the drawing needs to be rebuilt with the newer version of the part in the associated CAD program.

Support for rebuild checks is only available for files saved with SOLIDWORKS 2009 or later.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: An argument is invalid.

# See Also

####

IEdmFile7 Interface
IEdmFile7 Members

# Availability

SOLIDWORKS PDM Professional 2009